import java.io.*;
import java.net.*;


import java.io.*;
// Einlesen aus einer HTML-Datei

public class ReadASCII04 {

  public static void main(String argv[])  throws IOException {
    URL u = new URL("http://www.hs-harz.de");
    InputStream in;
    DataInputStream din;
    String s;
    try {
    in = u.openStream();  // URL als Stream öffen
    din = new DataInputStream(in);
    while (  (s=din.readLine()) != null) {
      System.out.println(s);
    }
    }
     catch (FileNotFoundException e1) {
         System.err.println("Datei war nicht vorhanden!");
    }
    catch (IOException e2) {
           System.err.println("IOException: " + e2);
    }

  }  // main
}


